Masked Set
Image Set Operations

The masked set primitives have an additional "mask image" input. More...

## Functions

NppStatus | nppiSet_8u_C1MR (Npp8u nValue, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 8-bit unsigned image set. More...
NppStatus | nppiSet_8u_C3MR (const Npp8u aValue[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 3 channel 8-bit unsigned image set. More...
NppStatus | nppiSet_8u_C4MR (const Npp8u aValue[4], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 4 channel 8-bit unsigned image set. More...
NppStatus | nppiSet_8u_AC4MR (const Npp8u aValue[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 4 channel 8-bit unsigned image set method, not affecting Alpha channel. More...
NppStatus | nppiSet_16u_C1MR (Npp16u nValue, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 16-bit unsigned image set. More...
NppStatus | nppiSet_16u_C3MR (const Npp16u aValue[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 3 channel 16-bit unsigned image set. More...
NppStatus | nppiSet_16u_C4MR (const Npp16u aValue[4], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 4 channel 16-bit unsigned image set. More...
NppStatus | nppiSet_16u_AC4MR (const Npp16u aValue[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 4 channel 16-bit unsigned image set method, not affecting Alpha channel. More...
NppStatus | nppiSet_16s_C1MR (Npp16s nValue, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 16-bit image set. More...
NppStatus | nppiSet_16s_C3MR (const Npp16s aValue[3], Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 3 channel 16-bit image set. More...
NppStatus | nppiSet_16s_C4MR (const Npp16s aValue[4], Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 4 channel 16-bit image set. More...
NppStatus | nppiSet_16s_AC4MR (const Npp16s aValue[3], Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 4 channel 16-bit image set method, not affecting Alpha channel. More...
NppStatus | nppiSet_32s_C1MR (Npp32s nValue, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 32-bit image set. More...
NppStatus | nppiSet_32s_C3MR (const Npp32s aValue[3], Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 3 channel 32-bit image set. More...
NppStatus | nppiSet_32s_C4MR (const Npp32s aValue[4], Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 4 channel 32-bit image set. More...
NppStatus | nppiSet_32s_AC4MR (const Npp32s aValue[3], Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 4 channel 16-bit image set method, not affecting Alpha channel. More...
NppStatus | nppiSet_32f_C1MR (Npp32f nValue, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 32-bit floating point image set. More...
NppStatus | nppiSet_32f_C3MR (const Npp32f aValue[3], Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 3 channel 32-bit floating point image set. More...
NppStatus | nppiSet_32f_C4MR (const Npp32f aValue[4], Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 4 channel 32-bit floating point image set. More...
NppStatus | nppiSet_32f_AC4MR (const Npp32f aValue[3], Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, int nMaskStep)
| Masked 4 channel 32-bit floating point image set method, not affecting Alpha channel. More...

## Detailed Description

The masked set primitives have an additional "mask image" input.

The mask controls which pixels within the ROI are set. For details see Masked Operation.

### Common parameters for nppiSet_CXM functions include:

Parameters

  nValue | The pixel value to be set for single channel functions.
  aValue | The pixel-value to be set for multi-channel functions.
  pDst | Pointer Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pMask | Mask-Image Pointer.
  nMaskStep | Mask-Image Line Step.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiSet_16s_AC4MR | ( | const Npp16s | aValue[3],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 4 channel 16-bit image set method, not affecting Alpha channel.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_16s_C1MR | ( | Npp16s | nValue,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 16-bit image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_16s_C3MR | ( | const Npp16s | aValue[3],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 3 channel 16-bit image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_16s_C4MR | ( | const Npp16s | aValue[4],
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 4 channel 16-bit image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_16u_AC4MR | ( | const Npp16u | aValue[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 4 channel 16-bit unsigned image set method, not affecting Alpha channel.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_16u_C1MR | ( | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 16-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_16u_C3MR | ( | const Npp16u | aValue[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 3 channel 16-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_16u_C4MR | ( | const Npp16u | aValue[4],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 4 channel 16-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_32f_AC4MR | ( | const Npp32f | aValue[3],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 4 channel 32-bit floating point image set method, not affecting Alpha channel.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_32f_C1MR | ( | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 32-bit floating point image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_32f_C3MR | ( | const Npp32f | aValue[3],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 3 channel 32-bit floating point image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_32f_C4MR | ( | const Npp32f | aValue[4],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 4 channel 32-bit floating point image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_32s_AC4MR | ( | const Npp32s | aValue[3],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 4 channel 16-bit image set method, not affecting Alpha channel.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_32s_C1MR | ( | Npp32s | nValue,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 32-bit image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_32s_C3MR | ( | const Npp32s | aValue[3],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 3 channel 32-bit image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_32s_C4MR | ( | const Npp32s | aValue[4],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 4 channel 32-bit image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_8u_AC4MR | ( | const Npp8u | aValue[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 4 channel 8-bit unsigned image set method, not affecting Alpha channel.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_8u_C1MR | ( | Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 8-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_8u_C3MR | ( | const Npp8u | aValue[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 3 channel 8-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

NppStatus nppiSet_8u_C4MR | ( | const Npp8u | aValue[4],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | int | nMaskStep
| ) |  |

Masked 4 channel 8-bit unsigned image set.

For common parameter descriptions, see Common parameters for nppiSet_CXM functions.

Copyright © 2009-2017 NVIDIA Corporation